
package de.ivu.elect.dokumente;

/**
 *  on 14.02.2017.
 */
public class DokumentFormatterSettings {

  /**
   * @return die Darstellung für eine Stimmenzahl null
   */
  public String getFormatFuerKeineStimmenzahl() {
    return "";
  }

  /**
   * @return die Darstellung eines Stimmenanteils, wenn die Stimmenzahl null ist, oder für andere Prozentangaben, die
   *         null sind
   */
  public String getFormatFuerKeinStimmenanteil() {
    return "";
  }

  /**
   * @return die spezielle Darstellung eines Stimmenanteils, wenn die Stimmenzahl 0 ist, oder für andere Prozentangaben,
   *         die 0 sind. Wenn es keine spezielle Darstellung der 0 geben soll, antworte null.
   */
  public String getFormatFuerStimmenanteil0() {
    return null;
  }

  public int getAnzahlStellenFuerProzentwerte() {
    return 1;
  }

  /**
   * @return die Darstellung für eine Mandatszahl null
   */
  public String getFormatFuerKeineMandatszahl() {
    return "";
  }

  /**
   * @return die spezielle Darstellung für eine Mandatszahl 0, null wenn es keine spezielle Darstellung der Mandatszahl
   *         gibt
   */
  public String getFormatFuerMandatszahl0() {
    return null;
  }

  /**
   * @return die Darstellung für eine Berechnungszahl (z.B. D'Hondt-Quotient, Divisorkandidat etc.) null
   */
  public String getFormatFuerKeineBerechnungszahl() {
    return "";
  }

  public int getAnzahlStellenFuerBerechnungszahl() {
    return 4;
  }

  public String getZeroWertZeichen() {
    return "";
  }
}
